{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Media Owner API Examples","description":"Explore Vistar's APIs and developer tools to automate, integrate and scale your DOOH workflows."},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"media-owner-api-examples","__idx":0},"children":["Media Owner API Examples"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"introduction","__idx":1},"children":["Introduction"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this topic to explore practical API (application programming interface) requests for using the Media Owner API. Here you’ll find examples for common actions like approving, denying, tagging, and retrieving creatives—plus batch operations and asset access."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"what-youll-learn","__idx":2},"children":["What You’ll Learn"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["In this topic, you'll learn how to:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Get"},"children":["Get a list of creatives for approval"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Approve"},"children":["Approve or deny a creative"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Add"},"children":["Add tags or categories to a creative"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Batch"},"children":["Batch approve or update creatives"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Create"},"children":["Create a new tag"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Search"},"children":["Search for creative categories by name"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Retrieve"},"children":["Retrieve the names of several advertisers"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#Retrieve2"},"children":["Retrieve full-size creative assets"]},"."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Get"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get-a-list-of-creatives-for-approval","__idx":3},"children":["Get a List of Creatives for Approval"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this request to get a paginated list of creatives that still need approval. To help you prioritize your reviews, results are sorted from oldest to newest,. You’ll receive up to 20 creatives per page."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-request","__idx":4},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET https://platform-api.vistarmedia.com/api/ssp/v1/creatives?page_size=20&page=0&order=audit.create_time&asc=true&filter=audit.status:pending\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Approve"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"approve-or-deny-a-creative","__idx":5},"children":["Approve or Deny a Creative"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this endpoint to update the approval status of a specific creative."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"approve-a-creative","__idx":6},"children":["Approve a Creative"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"sample-request-1","__idx":7},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:00y5XQZ0QWie0kjCKFCivA\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"sample-json-request-body","__idx":8},"children":["Sample JSON Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"audit\": {\n    \"status\": \"APPROVED\"\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"deny-a-creative","__idx":9},"children":["Deny a Creative"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"sample-request-2","__idx":10},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:00y5XQZ0QWie0kjCKFCivA\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"sample-json-request-body-1","__idx":11},"children":["Sample JSON Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"audit\": {\n    \"status\": \"DENIED\"\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Add"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"add-tags-or-categories-to-a-creative","__idx":12},"children":["Add Tags or Categories to a Creative"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can assign tags or categories to a creative as part of the creative approval process—or update them separately."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-request-3","__idx":13},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:00y5XQZ0QWie0kjCKFCivA\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-json-request-body-2","__idx":14},"children":["Sample JSON Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"audit\": {\n    \"tag_ids\": [\n      \"A5ZWu4p0RkKiJqAYNgKo3w\"\n    ],\n    \"category_ids\": [\n      \"IAB15-1\",\n      \"IAB22\"\n    ]\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Batch"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"batch-approve-or-update-creatives","__idx":15},"children":["Batch Approve or Update Creatives"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this endpoint to update multiple creatives at once. You can approve, deny, or assign tags and categories in a single call—up to 100 creatives per request."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-request-4","__idx":16},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"PATCH https://platform-api.vistarmedia.com/api/ssp/v1/creatives/\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-json-request-body-3","__idx":17},"children":["Sample JSON Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"creatives\": [\n    {\n      \"id\": \"xKgdLkHaSVexQYurJmRIkw:0MdIpRogSWi5tIMtqox0Sw\",\n      \"audit\": {\n        \"status\": \"APPROVED\"\n      }\n    },\n    {\n      \"id\": \"429kp1cDR869Sz6Eoe4JLw:apGvurD3RFqSBBWDJFCK9w\",\n      \"audit\": {\n        \"status\": \"APPROVED\",\n        \"category_ids\": [\n          \"IAB15-1\",\n          \"IAB22\"\n        ],\n        \"tag_ids\": [\n          \"A5ZWu4p0RkKijqAYNgKo3w\"\n        ]\n      }\n    },\n    {\n      \"id\": \"xKgdLkHaSVexQYurJmRIkw:apGvurD3RFqSBBWDJFCK9w\",\n      \"audit\": {\n        \"status\": \"DENIED\",\n        \"message\": \"This is the denial message.\"\n      }\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Create"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"create-a-new-tag","__idx":18},"children":["Create a New Tag"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this endpoint to create a new tag to help organize your creatives. After you create the tag, the response includes its ID, which you can use to label creatives for targeting, reporting, or categorization."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-request-5","__idx":19},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"POST https://platform-api.vistarmedia.com/api/ssp/v1/tags\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-json-request-body-4","__idx":20},"children":["Sample JSON Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"name\": \"my new tag\"\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-response","__idx":21},"children":["Sample Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"id\": \"BPC9ZA_jTiSNqnia3ijIfw\",\n  \"name\": \"my new tag\"\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Search"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"search-for-creative-categories-by-name","__idx":22},"children":["Search for Creative Categories by Name"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this search endpoint to find creative categories by name. This is especially helpful when assigning categories during the approval process. The following sample returns all categories with the word “automotive”."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-request-6","__idx":23},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET https://platform-api.vistarmedia.com/api/ssp/v1/creative_categories?search=name%3Aautomotive\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Retrieve"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"retrieve-the-names-of-several-advertisers","__idx":24},"children":["Retrieve the Names of Several Advertisers"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If you’re populating a user interface and need to look up user-friendly field names, use this endpoint. It supports up to 100 filter parameters in a single request so you can batch-resolve IDs to readable names."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-request-7","__idx":25},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET https://platform-api.vistarmedia.com/api/ssp/v1/advertisers?filter=id:cd0vcnTsza_GRBL2khoKg&filter=id:q6xvzuWSAqnU2Ebt-4AWQ&filter=id:wj7ZtLdsSSvaMGvturAsg&filter=id%3A8UM7Dw0iR16m9gYhevFd&filter=id%3Ab26jsC_9QCC8tr2Z-xfSWv&filter=id%3Acr62fHhS5869jS3Each-vQ&filter=id%3AzhTnI0XQPC36Gp3fHqbZAk\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"a","attributes":{"id":"Retrieve2"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"retrieve-full-size-creative-assets","__idx":26},"children":["Retrieve Full-size Creative Assets"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When you need a URL for the full-size version of a creative (image or video) for review, use this endpoint. It returns all assets and formats associated with the Creative ID you provide."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"sample-request-8","__idx":27},"children":["Sample Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET https://platform-api.vistarmedia.com/api/ssp/v1/creatives/429kp1cDR869Sz6Eoe4JLw:0J2pv8uaQV67JynYERiL40/assets\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"more-resources","__idx":28},"children":["More Resources"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["To learn more about this topic, see:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/setup-and-authentication"},"children":["Setup and Authentication"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/media-owner/get-started"},"children":["Get Started with the Media Owner API"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/media-owner"},"children":["Media owner API Specification"]}]}]}]},"headings":[{"value":"Media Owner API Examples","id":"media-owner-api-examples","depth":1},{"value":"Introduction","id":"introduction","depth":2},{"value":"What You’ll Learn","id":"what-youll-learn","depth":2},{"value":"Get a List of Creatives for Approval","id":"get-a-list-of-creatives-for-approval","depth":2},{"value":"Sample Request","id":"sample-request","depth":3},{"value":"Approve or Deny a Creative","id":"approve-or-deny-a-creative","depth":2},{"value":"Approve a Creative","id":"approve-a-creative","depth":3},{"value":"Sample Request","id":"sample-request-1","depth":4},{"value":"Sample JSON Request Body","id":"sample-json-request-body","depth":4},{"value":"Deny a Creative","id":"deny-a-creative","depth":3},{"value":"Sample Request","id":"sample-request-2","depth":4},{"value":"Sample JSON Request Body","id":"sample-json-request-body-1","depth":4},{"value":"Add Tags or Categories to a Creative","id":"add-tags-or-categories-to-a-creative","depth":2},{"value":"Sample Request","id":"sample-request-3","depth":3},{"value":"Sample JSON Request Body","id":"sample-json-request-body-2","depth":3},{"value":"Batch Approve or Update Creatives","id":"batch-approve-or-update-creatives","depth":2},{"value":"Sample Request","id":"sample-request-4","depth":3},{"value":"Sample JSON Request Body","id":"sample-json-request-body-3","depth":3},{"value":"Create a New Tag","id":"create-a-new-tag","depth":2},{"value":"Sample Request","id":"sample-request-5","depth":3},{"value":"Sample JSON Request Body","id":"sample-json-request-body-4","depth":3},{"value":"Sample Response","id":"sample-response","depth":3},{"value":"Search for Creative Categories by Name","id":"search-for-creative-categories-by-name","depth":2},{"value":"Sample Request","id":"sample-request-6","depth":3},{"value":"Retrieve the Names of Several Advertisers","id":"retrieve-the-names-of-several-advertisers","depth":2},{"value":"Sample Request","id":"sample-request-7","depth":3},{"value":"Retrieve Full-size Creative Assets","id":"retrieve-full-size-creative-assets","depth":2},{"value":"Sample Request","id":"sample-request-8","depth":3},{"value":"More Resources","id":"more-resources","depth":2}],"frontmatter":{"title":"Media Owner API Examples","slug":"/apis/media-owner/examples","seo":{"title":"Media Owner API Examples"}},"lastModified":"2026-09-24T22:11:56.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/apis/media-owner/examples","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}